# $Revision: 1.38 $, $Date: 2002/09/14 15:38:46 $
# conditional build
#  --without initrd -- don't build initrd version

%ifarch ppc %{ix86}
%define		_without_initrd	1
%endif

Summary:	Logical Volume Manager for Linux
Summary(pl):	Logical Volume Manager dla Linuksa
Name:		lvm
Version:	1.0.5
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.sistina.com/pub/LVM/1.0/%{name}_%{version}.tar.gz
Patch0:		%{name}-BOOT.patch
Patch1:		%{name}-sparc.patch
Patch2:		%{name}-dietlibc.patch
URL:		http://www.sistina.com/products_lvm.htm
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sh-utils
%{!?_without_initrd:BuildRequires:	dietlibc-static}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libdir		/lib

%description
This package includes a number of utilities for creating, checking,
and repairing logical volumes.

%description -l pl
Pakiet ten zawiera narzdzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenw dyskowych (LVM).

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl):	Pliki nagwkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for %{name}.

%description devel -l pl
Pliki nagwkowe i dokumentacja do %{name}.

%package initrd
Summary:	Logical Volume Manager for Linux - initrd version
Summary(pl):	Logical Volume Manager dla Linuksa - wersja dla initrd.
Group:		Base

%description initrd
This package includes a number of utilities for creating, checking,
and repairing logical volumes - staticaly linked for initrd.

%description -l pl initrd
Pakiet ten zawiera narzdzia do tworzenia, sprawdzania i naprawiania
logicznych wolumenw dyskowych (LVM) - statycznie zlinkowane na 
potrzeby initrd.

%prep
%setup -q -n LVM/%{version}
%patch0 -p1
%ifarch sparc sparc64
%patch1 -p1
%endif
%patch2 -p1

%build
aclocal
%{__autoconf}

%if %{?_without_initrd:0}%{!?_without_initrd:1}
cc="%{_arch}-dietlibc-gcc"
%configure CC="$cc" 
%{__make} clean
%{__make} -C tools/lib liblvm-10.a
cd tools
for f in vgcreate lvcreate pvcreate vgscan vgchange ; do
	$cc -Ilib -I. %{rpmcflags} -Os -c -DJOINED -Dmain=${f}_main $f.c
done
$cc %{rpmcflags} -Os ../wrapper.c \
	vgcreate.o lvcreate.o pvcreate.o vgscan.o vgchange.o \
	-o ../wrapper lib/liblvm-10.a
%{__make} clean
cd ..
rm -f config.cache
unset cc
%endif

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/lvmtab.d,%{_includedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER=$(id -u) \
	GROUP=$(id -g)

install tools/lib/*.h	$RPM_BUILD_ROOT%{_includedir}

(cd $RPM_BUILD_ROOT%{_libdir}; ln -sf `ls lib*.so` liblvm.so)

%{!?_without_initrd:install wrapper $RPM_BUILD_ROOT%{_sbindir}/initrd-lvm}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_sbindir}/ldconfig
%postun -p %{_sbindir}/ldconfig

%files
%defattr(644,root,root,755)
%doc ABSTRACT CHANGELOG CONTRIBUTORS FAQ LVM-HOWTO README TODO WHATSNEW KNOWN_BUGS
%attr(755,root,root) %{_sbindir}/[elpv]*
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_mandir}/man?/*
%attr(750,root,root) %{_sysconfdir}/lvmtab.d

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}%{_libdir}*.so

%if %{?_without_initrd:0}%{!?_without_initrd:1}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-lvm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lvm.spec,v $
Revision 1.38  2002/09/14 15:38:46  marcus
- rel.2.
- disable building initrd version (dietlibc) on %%ix86 too, due to
undefined type daddr_t in dietlibc, needed for <linux/genhd.h>

Revision 1.37  2002/08/27 06:39:19  marcus
- updated to 1.0.5

Revision 1.36  2002/08/25 07:23:43  marcus
- move %%define to top

Revision 1.35  2002/08/24 22:25:40  marcus
- use new %%doc
- fixed building on ppc (dietlibc on ppc is not fully functional yet)

Revision 1.34  2002/06/10 14:21:52  malekith
- reverting last change, dietlibc was fixed instead

Revision 1.33  2002/06/10 14:14:23  areq
- add BuildRequires: dietlibc-devel for initrd

Revision 1.32  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/20 13:45:45  baggins
- updated to 1.0.4

Revision 1.30  2002/03/16 12:20:02  malekith
- initrd subpackge added
- rel 2

Revision 1.29  2002/03/12 10:10:41  orzech
- sparc patch is back - testing required

Revision 1.28  2002/03/12 09:45:49  orzech
- updated to 1.0.3 (old verison didn't work)
- STBR

Revision 1.27  2002/03/05 17:56:52  marcus
- fixed %install

Revision 1.26  2002/03/05 17:54:20  marcus
- removed uclibc stuff
- rel.3.

Revision 1.25  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/23 16:47:19  malekith
- fixed embed stuff
- rel 2

Revision 1.23  2002/01/23 16:35:26  malekith
- lite -> embed, devel-embed added
- nfy

Revision 1.22  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/11 08:25:01  qboosh
- BuildRequires: autoconf, automake

Revision 1.20  2001/10/07 19:43:48  baggins
- one more BOOT bcond fix

Revision 1.19  2001/10/07 19:33:41  baggins
- %%files lite under BOOT bcond

Revision 1.18  2001/10/07 06:42:22  cieciwa
- typo s/without/with/

Revision 1.17  2001/10/07 06:37:19  cieciwa
- added BOOT bcond.

Revision 1.16  2001/10/04 13:26:53  blues
- compiles again (with fixed boot patch)

Revision 1.15  2001/10/04 11:15:29  misiek
- started update to 1.0.1rc4; nfy

Revision 1.14  2001/07/27 14:41:17  malekith
- making BOOT/lite version, nfy

Revision 1.13  2001/07/26 15:04:18  waszi
- updated to beta8

Revision 1.12  2001/05/01 23:15:46  misiek
- fix for alpha and hack for sparc

Revision 1.11  2001/05/01 19:48:17  misiek
born of devel and static subpackages

Revision 1.10  2001/04/27 19:25:24  misiek
- updated to 0.9.1-beta7 (required for latest 2.4 kernels)
- removed obsolete basename patch

Revision 1.9  2001/01/02 15:58:40  kloczek
- spec adapterized,
- removed INSTALL from %doc (because contains information implemeted in
  this spec file).

Revision 1.8  2001/01/02 15:11:02  baggins
- added DESTDIR patch
- minor cleanup

Revision 1.7  2000/12/21 16:16:02  baggins
- updated to 0.9

Revision 1.6  2000/08/14 11:28:55  misiek
- updated

Revision 1.5  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.2  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Jan Rkorajski <baggins@pld.org.pl>
- initial version
